wheezy 64 bit проблема с wine 1.4

Автор NicKSarD, 01 августа 2012, 22:40:09

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

NicKSarD

не могу установить пакет:
apt-get -f install
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Исправление зависимостей... Готово
Будут установлены следующие дополнительные пакеты:
  libsasl2-2:i386
НОВЫЕ пакеты, которые будут установлены:
  libsasl2-2:i386
обновлено 0, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 3 пакетов.
Необходимо скачать 0 B/119 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 232 kB.
Хотите продолжить [Д/н]? y
(Чтение базы данных ... на данный момент установлено 101784 файла и каталога.)
Распаковывается пакет libsasl2-2:i386 (из файла .../libsasl2-2_2.1.25.dfsg1-4+b1_i386.deb)...
dpkg: не удалось обработать параметр /var/cache/apt/archives/libsasl2-2_2.1.25.dfsg1-4+b1_i386.deb (--unpack):
trying to overwrite shared '/usr/share/doc/libsasl2-2/changelog.Debian.gz', which is different from other instances of package libsasl2-2:i386
При обработке следующих пакетов произошли ошибки:
/var/cache/apt/archives/libsasl2-2_2.1.25.dfsg1-4+b1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
как починить?


kobzar

попробуй  apt-get -f purge && apt-get autoremove && apt-get autoclean
apt-get purge wine*
ну и потом по стандарту
apt-get update
apt-get upgrade
apt-get dist-upgrade
apt-get install wine
Ты дорого мой друг, заплатишь за ошибку,..
Когда оскал мой милый, ты приймешь за улыбку.

ihammers

Цитата: kobzar от 01 августа 2012, 23:05:31
попробуй  apt-get -f purge && apt-get autoremove && apt-get autoclean
apt-get purge wine*
ну и потом по стандарту
apt-get update
apt-get upgrade
apt-get dist-upgrade
apt-get install wine
Ну зачем так сразу, для начала лучше чтобы показали вывод следующей команды:
cat /etc/apt/sources.list
И уж потом можно будет обновить список пакетов.

PS: использовать purge, autoremove и autoclean без видимой причины, это как применять биологическое и химическое оружия вместе, чтобы уж наверняка прибить ... (подставить своё)  :)
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

kobzar

Смысл полемики если серавно к етому прийдем ?

Почемуне сделать сразу и исключить следующие 5 топиков ответов ?
Ты дорого мой друг, заплатишь за ошибку,..
Когда оскал мой милый, ты приймешь за улыбку.

NicKSarD

cat /etc/apt/sources.list
deb http://linux.nsu.ru/debian wheezy main contrib non-free
deb-src http://linux.nsu.ru/debian wheezy main contrib non-free

deb http://linux.nsu.ru/debian wheezy-proposed-updates main contrib non-free
deb-src http://linux.nsu.ru/debian wheezy-proposed-updates main contrib non-free

deb http://linux.nsu.ru/debian-security wheezy/updates main contrib non-free
deb-src http://linux.nsu.ru/debian-security wheezy/updates main contrib non-free

#deb-multimedia.org
deb http://www.deb-multimedia.org wheezy main non-free
#Oracle VM VirtualBox
deb http://download.virtualbox.org/virtualbox/debian wheezy contrib non-free

kobzar

что говорит почле предложенного мной варианта ?
Ты дорого мой друг, заплатишь за ошибку,..
Когда оскал мой милый, ты приймешь за улыбку.

NicKSarD

#6
все тоже самое + 5 пакетов kde удалились (такие как рамки окон и переключатели раб стола)
обратно все поставил. проблема та же:
E: /var/cache/apt/archives/libsasl2-2_2.1.25.dfsg1-4+b1_i386.deb: trying to overwrite shared '/usr/share/doc/libsasl2-2/changelog.Debian.gz', which is different from other instances of package libsasl2-2:i386
E: /var/cache/apt/archives/libsasl2-modules_2.1.25.dfsg1-4+b1_i386.deb: trying to overwrite shared '/usr/share/doc/libsasl2-modules/changelog.Debian.gz', which is different from other instances of package libsasl2-modules:i386

Сообщение объединено: 02 августа 2012, 09:50:01

мне нужно установить пакет libwine-ldap:i386 он тянет зависимость libldap-2.4-2:i386, и этот пакет libldap-2.4-2:i386 встает с ошибками. но 2gis работает (он же и просил пакет libwine-ldap:i386 ).
так тогда ламерский вопрос. как удалить или просто игнорировать libldap-2.4-2:i386, чтобы не удалять libwine-ldap:i386.

Сообщение объединено: 02 августа 2012, 09:59:20

так, прочитал что эта проблема возможна из-за скайпа. удалил его пока. вот что пишет на установку нужного пакета теперь: libwine-ldap:i386:
Зависит: libldap-2.4-2 но пакет не будет установлен

Сообщение объединено: 02 августа 2012, 10:17:19

пакет libldap-2.4-2 уже установлен, видимо ставить хочет libldap-2.4-2:386, как их подружить?

Ghostdmn

Бывает, удаление пакета с /var/cache/apt/archives/ помогает решить.

libsasl2-2_2.1.25.dfsg1-4+b1_i386.deb снести можно и заново поставить
8Gb/GTX750Ti 2Gb/AMD FX(tm)-4300 Quad-Core Processor/HDD 1Tb Toshiba DT01ACA100

NicKSarD

Цитата: Ghostdmn от 02 августа 2012, 10:33:11
Бывает, удаление пакета с /var/cache/apt/archives/ помогает решить.

libsasl2-2_2.1.25.dfsg1-4+b1_i386.deb снести можно и заново поставить
пробывал. не помогает. и качал из других источников. то же самое. щас ставлю дебиана 32бит. не хочу еще каких-нибудь проблем ловить.
4гб оперативки. хотел до 8 доставить, видимо не судьба.

vladimir_ar

Да, рае-ядро поставить - точно не судьба...
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M

NicKSarD

Цитата: vladimir_ar от 02 августа 2012, 14:06:38
Да, рае-ядро поставить - точно не судьба...
во-первых: pae ставиться автоматом,  во-вторых: "видеть" больше 4 гб оперативки и работать с таким объемом это разные вещи....

ihammers

Цитата: NicKSarD от 02 августа 2012, 11:45:53
Цитата: Ghostdmn от 02 августа 2012, 10:33:11
Бывает, удаление пакета с /var/cache/apt/archives/ помогает решить.

libsasl2-2_2.1.25.dfsg1-4+b1_i386.deb снести можно и заново поставить
пробывал. не помогает. и качал из других источников. то же самое. щас ставлю дебиана 32бит. не хочу еще каких-нибудь проблем ловить.
4гб оперативки. хотел до 8 доставить, видимо не судьба.

Если ещё не поставили, то попробуйте закоментировать все репозитории, кроме первого (оригинального).  Обновить список пакетов и попробовать установить требуемые пакеты.
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290

kobzar

думаю достаточо закоментить только мультимедию....
Ты дорого мой друг, заплатишь за ошибку,..
Когда оскал мой милый, ты приймешь за улыбку.

NicKSarD

#13
поставил 32бит. всем спасибо. может потом попробую...  :). пока "и так сойдет"
но я думаю что на 99% это из-за репы мультимедии.